UnixOperatingSystemMXBean (Java SE 26 & JDK 26)
Description: declaration: module: jdk.management, package: com.sun.management, interface: UnixOperatingSystemMXBean
Keywords: com.sun.management.UnixOperatingSystemMXBean interface

# Interface UnixOperatingSystemMXBean

All Superinterfaces:
  `OperatingSystemMXBean, OperatingSystemMXBean, PlatformManagedObject`

public interface UnixOperatingSystemMXBean extends OperatingSystemMXBean
Platform-specific management interface for the Unix operating system on which the Java virtual machine is running.

Since:
  1.5

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getMaxFileDescriptorCount()`
  Returns the maximum number of file descriptors.
  `long`
  `getOpenFileDescriptorCount()`
  Returns the number of open file descriptors.

  ### Methods declared in interface OperatingSystemMXBean

  `getCommittedVirtualMemorySize, getCpuLoad, getFreeMemorySize, getFreePhysicalMemorySize, getFreeSwapSpaceSize, getProcessCpuLoad, getProcessCpuTime, getSystemCpuLoad, getTotalMemorySize, getTotalPhysicalMemorySize, getTotalSwapSpaceSize`
  Modifier and Type
  Method
  Description
  `long`
  `getCommittedVirtualMemorySize()`
  Returns the amount of virtual memory that is guaranteed to be available to the running process in bytes, or `-1` if this operation is not supported.
  `double`
  `getCpuLoad()`
  Returns the "recent CPU usage" for the operating environment.
  `long`
  `getFreeMemorySize()`
  Returns the amount of free memory in bytes.
  `default long`
  `getFreePhysicalMemorySize()`
  Deprecated.
  Use `OperatingSystemMXBean.getFreeMemorySize()` instead of this historically named method.
  `long`
  `getFreeSwapSpaceSize()`
  Returns the amount of free swap space in bytes.
  `double`
  `getProcessCpuLoad()`
  Returns the "recent CPU usage" for the Java Virtual Machine process.
  `long`
  `getProcessCpuTime()`
  Returns the CPU time used by the process on which the Java virtual machine is running in nanoseconds.
  `default double`
  `getSystemCpuLoad()`
  Deprecated.
  Use `OperatingSystemMXBean.getCpuLoad()` instead of this historically named method.
  `long`
  `getTotalMemorySize()`
  Returns the total amount of memory in bytes.
  `default long`
  `getTotalPhysicalMemorySize()`
  Deprecated.
  Use `OperatingSystemMXBean.getTotalMemorySize()` instead of this historically named method.
  `long`
  `getTotalSwapSpaceSize()`
  Returns the total amount of swap space in bytes.

  ### Methods declared in interface OperatingSystemMXBean

  `getArch, getAvailableProcessors, getName, getSystemLoadAverage, getVersion`
  Modifier and Type
  Method
  Description
  `String`
  `getArch()`
  Returns the operating system architecture.
  `int`
  `getAvailableProcessors()`
  Returns the number of processors available to the Java virtual machine.
  `String`
  `getName()`
  Returns the operating system name.
  `double`
  `getSystemLoadAverage()`
  Returns the system load average for the last minute.
  `String`
  `getVersion()`
  Returns the operating system version.

  ### Methods declared in interface PlatformManagedObject

  `getObjectName`
  Modifier and Type
  Method
  Description
  `ObjectName`
  `getObjectName()`
  Returns an `ObjectName` instance representing the object name of this platform managed object.

- ## Method Details

  - ### getOpenFileDescriptorCount

    long getOpenFileDescriptorCount()
    Returns the number of open file descriptors.
    Returns:
      the number of open file descriptors.

  - ### getMaxFileDescriptorCount

    long getMaxFileDescriptorCount()
    Returns the maximum number of file descriptors.
    Returns:
      the maximum number of file descriptors.